class Protontime {
  static String format(String rawTime) {
    DateTime time = DateTime.parse(rawTime);
    DateTime now = DateTime.now();
    Duration difference = now.difference(time);

    const int secondsPerMinute = 60;
    const int minutesPerHour = 60;
    const int hoursPerDay = 24;
    const int daysPerWeek = 7;
    const int daysPerMonth = 30;
    const int monthsPerYear = 12;
    const int yearsPerDecade = 10;

    if (difference.inSeconds < secondsPerMinute) {
      return '${difference.inSeconds} sec ago';
    }

    if (difference.inMinutes < minutesPerHour) {
      return '${difference.inMinutes} min ago';
    }

    if (difference.inHours < hoursPerDay) {
      return '${difference.inHours} hour ago';
    }

    if (difference.inDays < daysPerWeek) {
      return '${difference.inDays} day ago';
    }

    if (difference.inDays < daysPerMonth) {
      int weeks = difference.inDays ~/ daysPerWeek;
      return '$weeks week ago';
    }

    if (now.year == time.year && now.month - time.month == 1) {
      return '1 month ago';
    }

    if (difference.inDays < monthsPerYear * yearsPerDecade) {
      int months = difference.inDays ~/ daysPerMonth;
      return '$months month ago';
    }

    int years = difference.inDays ~/ (daysPerMonth * monthsPerYear);
    return '$years year ago';
  }
}
