import 'package:test/test.dart';
import 'package:protontime/protontime.dart';

void main() {
  group('Proton Test', () {
    test('Time less than a minute ago', () {
      expect(
          Protontime.format(
              DateTime.now().subtract(Duration(seconds: 30)).toString()),
          '30 sec ago');
    });

    test('Time less than an hour ago', () {
      expect(
          Protontime.format(
              DateTime.now().subtract(Duration(minutes: 45)).toString()),
          '45 min ago');
    });

    test('Time less than a day ago', () {
      expect(
          Protontime.format(
              DateTime.now().subtract(Duration(hours: 20)).toString()),
          '20 hour ago');
    });

    test('Time less than a week ago', () {
      expect(
          Protontime.format(
              DateTime.now().subtract(Duration(days: 5)).toString()),
          '5 day ago');
    });

    test('Time less than a month ago', () {
      expect(
          Protontime.format(
              DateTime.now().subtract(Duration(days: 60)).toString()),
          '2 month ago');
    });

    test('Time more than a year ago', () {
      expect(
          Protontime.format(
              DateTime.now().subtract(Duration(days: 740)).toString()),
          '2 year ago');
    });
  });
}
